Name: ehcache
Version: 1.3.0
Summary: Easy Hibernate Cache
Epoch: 0
License: LGPL
Url: http://ehcache.sourceforge.net/
Packager: Igor Vlasenko <viy@altlinux.ru>
Provides: ehcache-bootstrap
Provides: hibernate_in_process_cache
Requires: /bin/sh
Requires: /bin/sh
Requires: /bin/sh
Requires: /usr/sbin/update-alternatives
Requires: jakarta-commons-beanutils
Requires: jakarta-commons-collections
Requires: jakarta-commons-logging
Requires: jpackage-utils
Requires: jpackage-utils
Requires: jsr107cache

BuildArch: noarch
Group: Development/Java
Release: alt0.1jpp
Source: ehcache-1.3.0-2jpp.cpio

%description
Ehcache is a pure Java, in-process cache with the following features:
   1. Fast
   2. Simple
   3. Acts as a pluggable cache for Hibernate 2.1, 3 and 3.1.
   4. Small foot print. Both in terms of size and memory requirements.
   5. Minimal dependencies.
   6. Fully documented. See the online Documentation, FAQ and the
      online JavaDoc.
   7. Provides Memory and Disk stores.
   8. Comprehensively Test Coverage. See the clover test report.
   9. Scalable to hundreds of caches and large multi-cpu servers.
  10. Multiple CacheManagers per virtual machine (new in 1.2)
  11. Provides LRU, LFU and FIFO cache eviction policies. (new in 1.2)
  12. Persistent disk store which stores data between VM restarts.
  13. Supports the registration of CacheManager and CacheEventListener
      for flexible integration(new in 1.2)
  14. Distributed caching, with fine grained control overf discovery
      and delivery options.
  15. Pluggable distribution API  for extending distribution with
      different mechanisms.
  16. Available under the Apache 1.1license. Ehcache's copyright and
      licensing has been reviewed and approved by the Apache Software
      Foundation, making ehcache suitable for use in Apache projects.
  17. Production tested. All final versions of ehcache are production
      tested for several weeks on a large and very busy eCommerce site
      before release.
  18. BlockingCache, SelfPopulatingCache, gzipping, caching Servlet
      filters, and AsynchronousFaultTolerantCommandExecutor available
      in the optional ehcache-constructs package.

# sometimes commpress gets crazy (see maven-scm-javadoc for details)
%set_compress_method none
%prep
cpio -idmu --quiet --no-absolute-filenames < %{SOURCE0}

%build
cpio --list < %{SOURCE0} | sed -e 's,^\.,,' > %name-list

%install
mkdir -p $RPM_BUILD_ROOT
for i in usr var etc; do
[ -d $i ] && mv $i $RPM_BUILD_ROOT/
done

%preun
{
  [ $1 -eq 0 ] || exit 0
  update-alternatives --remove hibernate_in_process_cache /usr/share/java/ehcache.jar
} >/dev/null 2>&1 || :

%post
update-alternatives --install /usr/share/java/hibernate_in_process_cache.jar \
  hibernate_in_process_cache /usr/share/java/ehcache.jar 90

echo -e "<dependencies>\n" > /etc/maven/maven2-depmap.xml
if [ -d /etc/maven/fragments ] && [ -n "`find /etc/maven/fragments -type f`" ]; then
cat /etc/maven/fragments/* >> /etc/maven/maven2-depmap.xml
fi
echo -e "</dependencies>\n" >> /etc/maven/maven2-depmap.xml

%postun

echo -e "<dependencies>\n" > /etc/maven/maven2-depmap.xml
if [ -d /etc/maven/fragments ] && [ -n "`find /etc/maven/fragments -type f`" ]; then
cat /etc/maven/fragments/* >> /etc/maven/maven2-depmap.xml
fi
echo -e "</dependencies>\n" >> /etc/maven/maven2-depmap.xml


%files -f %name-list

%changelog
* Fri Feb 13 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.3.0-alt0.1jpp
maven 2.0.7 bootstrap

